Subject: RE: [Sipping] User=Phone/DialString and Pause and Wait

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 25 Nov 2003 17:47:13 -0500

Okay, let's pick some nits.

> -----Original Message-----
> From: Paul Kyzivat [mailto:[email-masked]]
> Sent: Tuesday, November 25, 2003 5:26 PM
> To: Rosen, Brian
> Cc: [email-masked]'; [email-masked]
> Subject: Re: [Sipping] User=Phone/DialString and Pause and Wait
> 
> 
> Brian - I need to pick some nits in what you say below.
> 
> 	Paul
> 
> Rosen, Brian wrote:
> > 
> > We all agreed that a tel uri, which is also convertible to a sip uri
> > with the user=phone convention, remained a way to express 
> local or global
> > phone numbers, and not dial strings.
> 
> I wouldn't go quite that far. While we agreed that the sip uri with 
> user=dialstring may be used to represent dial strings, I 
> don't believe 
> that eliminates the option of using a tel: uri with a local 
> number and a 
> context.
I don't understand your concern.
What we agreed was that a local or a global number was expressable
as either a tel uri, or a sip uri with user=phone interchangeably.
So a tel uri can be used for a local number, and a sip uri with
user=phone can be used for a local number.

We confirmed that a tel uri cannot be used with a dial string, and we
decided that a sip uri with user=phone cannot be used with a dial string.

So, 
> 
> Rosen, Brian wrote:
>  >
>  > To be clear, we agreed in Minneapolis that Rohan's proposal that
>  > user=phone designates a phone number exactly as a tel uri does;
>  > that is, a sip uri with user=phone is convertible to a tel uri
>  > without change in meaning and vice versa.
> 
> We have to be very careful about the visa versa part. Sip uris retain 
> the rule that the user part is only interpretable within 
> domain of its 
> address. So sip:[email-masked];user=phone may be 
> understood to 
> be equivalent to tel:+1-234-567-8901 by the foo.com proxy, but not by 
> the bar.com proxy.
Well, I agree with your concern, but not with your example.
Unfortunately, you chose a global number for your example.  They would
refer to the same end terminal in either domain.  What is true
is that the route to that terminal may be different in the foo domain
than the bar domain.

I certainly agree that sip:[email-masked];user=phone would probably
be different from sip:[email-masked];user=phone

An interesting excercise for the reader would be to decide
whether:
	sip:[email-masked];user=phone;phone-context=example.com
is the same destination as
	sip:[email-masked];user=phone;phone-contex=example.com
AND THE ANSWER IS
	No, they could be different.  Don't read too much into
	the phone context value.  It's a string.  If foo.com understands
	a context named example.com, great, but nothing guarantees that
	bar.com's view of a context named example.com is the same

Hopefully, you wouldn't ever see something like that, hopefully you
would see:
	sip:[email-masked];user=phone;phone-context=chicago.example.com

> 
>  > I almost typed "without
>  > a change in destination or routing", but that may not be true,
>  > because a given proxy could decide to route them differently.
>  > Don't know why it would, but it could.
> 
> There are good reasons. If the address tel:+1-234-567-8901 is 
> presented 
> to both the foo.com and bar.com proxies, they may choose to route it 
> differently. Perhaps one routes to a gateway in the US, and 
> the other to 
> a gateway in China.
Note the phrase "a given proxy could decide to route them differently"
I agree that two different proxies could choose to route differently.

> 
> But when both are presented with 
> sip:[email-masked];user=phone,
> the bar.com proxy will be compelled to route to the foo.com 
> proxy, and 
> from there it will be treated the same as one initially offered to 
> foo.com. So both calls will be routed thru the same gateway.
Agree

I was observing that tel:+12345678901 when presented to bar.com would 
probably be routed the same as 
sip:[email-masked];user=phone would, but that isn't guaranteed.

Brian

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 26 Nov 2003 10:30:41 -0500

Rosen, Brian wrote:
>>>local or global phone numbers, and not dial strings.
>>
>>>don't believe that eliminates the option of using a tel: uri with a local 
>>>number and a context.
> 

agreed.

> decided that a sip uri with user=phone cannot be used with a dial string.

I think you overstate the case. I think we agreed to define a new value 
"dialstring" that MAY be used with the user= parameter of a sip uri. And 
it MAY be used to represent a dialstring.

It remains demonstrably the case that a dialstring *can* also be 
represented as a tel uri with a local number and context, as has been 
discussed ad nauseum on this list. Of course "can" isn't the same as 
MAY. But AFAIK we *didn't* decide that it MUST NOT.

Which approach is used should really be a local matter between the phone 
and the proxy. It depends both on the features and configurability of 
the phone, and on the translation capabilities of the proxy.

I know you will argue that the definition of the tel uri says it can't 
be used for dial strings. But this still comes down to a fine semantic 
point of whether what is being represented is a dial string or a 
particular form of local number that is closely related to what was 
dialed. The distinction is purely in point of view, so either conclusion 
is valid.

This really is a nit - it perhaps falls into the realm of best practice.

	Paul